Authentication

Route to authenticate a user

📘

How to get the credentials?

Contact the CDC team to get a credential made, after approval of the registration, you will be supplied with a unique client_key and client_secret for testing.

🚧

Using the authentication token

The authentication token expires after 60 minutes. Each token is of type Bearer. To authenticate your API requests, include the token in the Authorization header as follows:

Authorization: Bearer {YourToken}

Replace {YourToken} with the actual token value (excluding the curly braces).

Response Parameters

ParametersFormatDescription
returnBooleanResponse status (true/false)
messageStringResponse message
tokenStringToken to access the service
token_typeStringToken type to access the service
expires_inNumberToken expires in


Request Parameters

Language
Response
Click Try It! to start a request and see the response here!